// totally ripped from https://learnopengl.com/PBR/IBL/Diffuse-irradiance

#version 450 core
layout (location = 0) in vec3 aPos;
layout (location = 1) in vec3 aNormal;
layout (location = 2) in vec2 aTexCoord;

out vec3 localPos;

uniform mat4 m_proj;
uniform mat4 m_view;

void main()
{
    localPos = aPos;  
    gl_Position =  m_proj * m_view * vec4(localPos, 1.0);
}